Page 13 of 13 FirstFirst ... 3111213
Results 121 to 124 of 124

Thread: Discussion: Selecting a tool to create USB boot drives from ISO files

  1. #121
    Join Date
    Jan 2009
    Location
    Bay Area CA
    Beans
    89
    Distro
    Ubuntu Development Release

    Re: Discussion: Selecting a tool to create USB boot drives from ISO files

    Hi!!

    I used to like USB Creator, but it's SLOWWWWW, and nowhere near as reliable as it used to be.

    Gnome Disks works!! Last night, I used it to install Fedora 23; it took about 3 minutes to burn to USB (and about 10 minutes to install)!!!!!!

    +1 for Gnome Disks
    Ubuntu +1 (Trusty Tahr)

  2. #122
    Join Date
    Sep 2015
    Beans
    2

    Re: Discussion: Selecting a tool to create USB boot drives from ISO files

    I have a 2009 17" MacBookPro5,2 that has the Nvidia 9600M video. I've never been able to create bootable USB Flash drives created using any GUI program on a PC (unetbootin, ubuntu's create install media from currently running ubuntu, etc.).

    The only method I've used that works (rEFInd or holding down option key during boot) is using the command line dd program on my MacBookPro from a downloaded iso.

    Using the steps as a guide from here: http://www.ubuntu.com/download/deskt...ick-on-mac-osx, I created the following sccript I call create-usb-flash-linux.bash that I run in a terminal on my MacBookPro:

    Code:
    #!/bin/bash
    
    
    if [ -z $1 ]; then
        echo ""
        isosfound=$(find . -maxdepth 1 -name "*.iso")
        if [ "$isosfound" == "" ]; then
            echo "** NO iso file given as arg & NO ISO files found, exiting "
            exit 1
        else
            echo "** NO iso file given as arg, but ISO file(s) found :"
            i=0;for f in $isosfound;do isos[$i]=$f;echo "$i: $f";let "i++";done
            echo ""
            echo -n "Enter number of iso file to use from above info [0] "
            read fn
            if [ "$fn" == "" ]; then
                fn=0
            else
                re='^[0-9]+$'
                if ! [[ $fn =~ $re ]] ; then
                   echo "** ERROR: \"$fn\" is NOT a number, exiting" >&2; exit 1
                fi
            fi
            if [ $fn -ge 0 ]&&[ $fn -lt $i ]; then
                echo "You've chosen iso file $fn: ${isos[$fn]}"
                iso=${isos[$fn]}
            else
                echo "** ERROR: must enter valid number from above list, exiting"
                exit 1
            fi
        fi
    else
        iso=$1
    fi
    if [ ! -e $iso ]; then
        echo "** ERROR: file \"$iso\" NOT found, exiting"
        exit 1
    
    
    fi
    
    
    echo ""
    echo "Now running diskutil list ..."
    echo ""
    cmds="diskutil list"
    $cmds
    echo ""
    echo -n "Enter number 'X' of USB Flash Drive /dev/diskX given above info : "
    read X
    disk="/dev/disk${X}"
    rdisk="/dev/rdisk${X}"
    cmds="$cmds $disk"
    tmpo=$($cmds)
    tmpo=$(echo $tmpo | grep -o "Could not find disk")
    if [ "$tmpo" != "" ]; then
        echo "** ERROR: couldn't find $disk from your \"$X\" entry. Bye."
        exit 1
    fi
    img="${iso%.*}.img"
    dmg="${img}.dmg"
    
    
    echo ""
    echo "NOTE: For some linux distros, a conversion from iso to img format needs"
    echo "to be done prior to using dd command. Test with original unconverted iso"
    echo "first. If that doesn't work, rerun this script and answer \"y\" to"
    echo "use iso to img format conversion."
    echo ""
    echo -n "Given above, convert $iso to .img format ? [n] "
    read answer
    case "$answer" in
    y|Y)
        use_img=1
        echo "OK, converting $iso to .img format, please wait ..."
        cmds="hdiutil convert -format UDRW -o $img $iso"
        echo $cmds; $cmds
        if [ -e $dmg ]; then
            cmds="mv $dmg $img"
            echo $cmds; $cmds
        fi
        echo "Done converting."
        ;;
    n|N|"")
        use_img=0
        echo ""
        echo "OK, using original $iso (not converted to .img)."
        ;;
    *)
        echo "** ERROR: uncrecognized option \"$answer\" - bye."
        exit 1;
        ;;
    esac
    
    
    echo "Unmounting USB flash drive: $disk prior to dd command ..."
    cmds="diskutil unmountDisk $disk"
    echo $cmds; $cmds
    
    
    if [ $use_img -eq 1 ]; then
        cmds="sudo dd if=${img} of=${rdisk} bs=1m"
    else
        cmds="sudo dd if=${iso} of=${rdisk} bs=1m"
    fi
    echo ""
    echo "*** About to run dd DESTRUCTIVE COMMAND AS FOLLOWS:"
    echo "*** $cmds"
    echo -n "*** PROCEED? [y] "
    read answer
    case "$answer" in
    y|Y|"")
        echo "OK, running dd command, please wait (takes a while) ..."
        echo ""
        echo "####################################################################"
        echo "IF WARNING POPS UP THAT COMPUTER CAN'T READ DISK, HIT \"Ignore\"."
        echo "####################################################################"
        echo ""
        echo $cmds; $cmds
        echo "Done."
        ;;
    n|N)
        echo "OK, not running dd command, bye."
        exit 0
        ;;
    *)
        echo "** ERROR: uncrecognized option \"$answer\" - bye."
        exit 1;
        ;;
    esac
    
    
    echo "Ejecting USB flash drive: $disk, after which you can physically remove..."
    cmds="diskutil eject $disk"
    echo $cmds; $cmds
    echo ""
    echo "Done."
    echo ""
    echo "REMOVE USB flash drive: $disk."
    echo ""
    This worked for me on my MacBookPro to create bootable USB Flash drives for Ubuntu 14.04.3 LTS & Linx Mint MATE 17.2, and allowed to me to install both on my system so that I now have a functioning quadruple-boot Mac that runs:
    1. Mavericks (OSX 10.9.x) (on SSD, first hard drive)
    2. Linux Mint MATE 17.2 (on SSD, first hard drive)
    3. Windows 7 (via Bootcamp on SSD, first hard drive)
    4. Ubuntu 14.04.3 (on sATA, second hard drive)

    I have no need for persistence, but I understand why others may need that.

    OlafO

    P.S. Off-topic, but it would be nice if the Ubuntu & Linux Mint developers would use the "nomodeset" instead of "quiet splash" kernel parameters as default, or at least determine that it's a Mac with nvidia video & use "nomodeset" - would save a lot of us Mac folks a LOT of headaches with having to manually edit this when booting install media, and then modifying /etc/default/grub and running update-grub after install. Just a thought.

  3. #123
    Join Date
    Nov 2011
    Location
    /dev/root
    Beans
    Hidden!

    Re: Discussion: Selecting a tool to create USB boot drives from ISO files

    Welcome to the Ubuntu Forums OlafO, and thanks for sharing this method, that works for you

    I read your post and the script (but I did not read or test the script in any great detail). It seems to do the same thing (copy/clone/flash with dd) as the tool mkusb, that I have developed. There might be some differences that are critical for Mac computers, but it might be worthwhile for you to try mkusb. (I have no Mac computer.)

    -o-

    The developers, who decide about things like which boot options to supply as default, seldom read these forums. But some of us here can try to reach them once in a while. For example, the intention of this thread is to collect information, that can be useful when we approach the forums that can decide about changing the tool to create USB boot drives.

    If you have not yet voted in the poll about this issue, please do now

  4. #124
    Join Date
    Nov 2011
    Location
    /dev/root
    Beans
    Hidden!

    Re: Discussion: Selecting a tool to create USB boot drives from ISO files

    A dialogue at the ubuntu-quality mailing list is continuing and improving.

    Now what do you think of this idea: to make the Ubuntu Startup Disk Creator reliable by removing its ability to create persistent live drives?

Page 13 of 13 FirstFirst ... 3111213

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •